PDpy is a collaboration-driven Python package providing tools for
studying data from ground-based gravitational-wave detectors.

PDpy provides a user-friendly, intuitive interface to the common
time-domain and frequency-domain data produced by the LIGO and Virgo
observatories and their analyses, with easy-to-follow tutorials at each
step.

<https://pdpy-github.github.io/pdpy/>

# Release status

[![PyPI version](https://badge.fury.io/py/pdpy.svg)](http://badge.fury.io/py/pdpy)
[![Conda version](https://img.shields.io/conda/vn/conda-forge/pdpy.svg)](https://anaconda.org/conda-forge/pdpy/)

[![DOI](https://zenodo.org/badge/9979119.svg)](https://zenodo.org/badge/latestdoi/9979119)
[![License](https://img.shields.io/pypi/l/pdpy.svg)](https://choosealicense.com/licenses/gpl-3.0/)
![Supported Python versions](https://img.shields.io/pypi/pyversions/pdpy.svg)

# Development status

[![Build status](https://github.com/pdpy-github/pdpy/actions/workflows/build.yml/badge.svg?branch=main)](https://github.com/pdpy/pdpy/actions?query=branch%3Amain)
[![Coverage status](https://codecov.io/gh/pdpy/pdpy/branch/main/graph/badge.svg)](https://codecov.io/gh/pdpy/pdpy)
[![Maintainability](https://api.codeclimate.com/v1/badges/2cf14445b3e070133745/maintainability)](https://codeclimate.com/github/pdpy-github/pdpy/maintainability)

# Installation

To install, you can do:

```
conda install -c conda-forge pdpy
```

or

```
python -m pip install pdpy
```

You can test your installation, and its version by

```
python -c "import pdpy; print(pdpy.__version__)"
```

# License

PDpy is released under the GNU General Public License v3.0 or later, see [here](https://choosealicense.com/licenses/gpl-3.0/) for a description of this license, or see the [LICENSE](https://github.com/pdpy-github/pdpy/blob/main/LICENSE) file for the full text.
